Package org.eclipse.app4mc.amalthea.model.builder

## Class SoftwareBuilder

- Object
- - SoftwareBuilder

    public class SoftwareBuilder
    extends Object

### Constructor Summary

Constructors
`SoftwareBuilder()`

### Method Summary

All Methods
`void` `activation_Custom​(SWModel container, Procedures.Procedure1<CustomActivation> initializer)`
`void` `activation_Event​(SWModel container, Procedures.Procedure1<EventActivation> initializer)`
`void` `activation_Periodic​(SWModel container, Procedures.Procedure1<PeriodicActivation> initializer)`
`void` `activation_Single​(SWModel container, Procedures.Procedure1<SingleActivation> initializer)`
`void` `activation_Sporadic​(SWModel container, Procedures.Procedure1<SporadicActivation> initializer)`
`void` `activation_VariableRate​(SWModel container, Procedures.Procedure1<VariableRateActivation> initializer)`
`void` `activityGraph​(Runnable container, Procedures.Procedure1<ActivityGraph> initializer)`
`void` `activityGraph​(Task container, Procedures.Procedure1<ActivityGraph> initializer)`
`void` `asynchronousServerCall​(IActivityGraphItemContainer container, Procedures.Procedure1<AsynchronousServerCall> initializer)`
`void` `channel​(SWModel container, Procedures.Procedure1<Channel> initializer)`
`void` `clearEvent​(IActivityGraphItemContainer container, Procedures.Procedure1<ClearEvent> initializer)`
`void` `condition​(ModeConditionConjunction container, ModeLabel label, RelationalOperator relation, String value)`
`void` `condition​(ModeConditionConjunction container, ModeLabel label1, RelationalOperator relation, ModeLabel label2)`
`void` `condition​(ModeConditionDisjunction container, ModeLabel label, RelationalOperator relation, String value)`
`void` `condition​(ModeConditionDisjunction container, ModeLabel label1, RelationalOperator relation, ModeLabel label2)`
`void` `condition_AND​(ModeConditionDisjunction container, Procedures.Procedure1<ModeConditionConjunction> initializer)`
`void` `condition_OR​(ModeSwitchEntry container, Procedures.Procedure1<ModeConditionDisjunction> initializer)`
`void` `defaultConstant​(Ticks container, long ticks)`
`void` `defaultDeviation​(Ticks container, IDiscreteValueDeviation ticks)`
`void` `defaultEntry​(ModeSwitch container, Procedures.Procedure1<ModeSwitchDefault> initializer)`
`void` `enforcedMigration​(IActivityGraphItemContainer container, Procedures.Procedure1<EnforcedMigration> initializer)`
`void` `entry​(ModeSwitch container, Procedures.Procedure1<ModeSwitchEntry> initializer)`
`void` `entry​(ProbabilitySwitch container, Procedures.Procedure1<ProbabilitySwitchEntry> initializer)`
`void` `eventMask​(ClearEvent clearEvent, OsEvent... osEvents)`
`void` `eventMask​(SetEvent setEvent, OsEvent... osEvents)`
`void` `eventMask​(WaitEvent waitEvent, OsEvent... osEvents)`
`void` `execNeed​(IActivityGraphItemContainer container, Procedures.Procedure1<ExecutionNeed> initializer)`
`void` `extended​(Ticks container, ProcessingUnitDefinition puDef, IDiscreteValueDeviation ticks)`
`void` `group​(IActivityGraphItemContainer container, Procedures.Procedure1<Group> initializer)`
`void` `interProcessTrigger​(IActivityGraphItemContainer container, Procedures.Procedure1<InterProcessTrigger> initializer)`
`void` `isr​(SWModel container, Procedures.Procedure1<ISR> initializer)`
`void` `label​(SWModel container, Procedures.Procedure1<Label> initializer)`
`void` `labelAccess​(IActivityGraphItemContainer container, Procedures.Procedure1<LabelAccess> initializer)`
`void` `literal​(EnumMode container, Procedures.Procedure1<ModeLiteral> initializer)`
`void` `mode_Enum​(SWModel container, Procedures.Procedure1<EnumMode> initializer)`
`void` `mode_Numeric​(SWModel container, Procedures.Procedure1<NumericMode> initializer)`
`void` `modeLabel​(SWModel container, Procedures.Procedure1<ModeLabel> initializer)`
`void` `modeLabelAccess​(IActivityGraphItemContainer container, Procedures.Procedure1<ModeLabelAccess> initializer)`
`void` `modeSwitch​(IActivityGraphItemContainer container, Procedures.Procedure1<ModeSwitch> initializer)`
`void` `need​(ExecutionNeed container, String key, IDiscreteValueDeviation need)`
`void` `osEvent​(SWModel container, Procedures.Procedure1<OsEvent> initializer)`
`void` `parameter​(Runnable container, Procedures.Procedure1<RunnableParameter> initializer)`
`void` `probabilitySwitch​(IActivityGraphItemContainer container, Procedures.Procedure1<ProbabilitySwitch> initializer)`
`void` `processPrototype​(SWModel container, Procedures.Procedure1<ProcessPrototype> initializer)`
`void` `runnable​(SWModel container, Procedures.Procedure1<Runnable> initializer)`
`void` `runnableCall​(IActivityGraphItemContainer container, Procedures.Procedure1<RunnableCall> initializer)`
`void` `schedulePoint​(IActivityGraphItemContainer container, Procedures.Procedure1<SchedulePoint> initializer)`
`void` `section​(SWModel container, Procedures.Procedure1<Section> initializer)`
`void` `setEvent​(IActivityGraphItemContainer container, Procedures.Procedure1<SetEvent> initializer)`
`SWModel` `softwareModelRoot​(Procedures.Procedure1<SWModel> initializer)`
`void` `task​(SWModel container, Procedures.Procedure1<Task> initializer)`
`void` `terminateProcess​(IActivityGraphItemContainer container, Procedures.Procedure1<TerminateProcess> initializer)`
`void` `ticks​(IActivityGraphItemContainer container, Procedures.Procedure1<Ticks> initializer)`
`void` `waitEvent​(IActivityGraphItemContainer container, Procedures.Procedure1<WaitEvent> initializer)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SoftwareBuilder

    public SoftwareBuilder()

### Method Detail

#### softwareModelRoot

    public SWModel softwareModelRoot​(Procedures.Procedure1<SWModel> initializer)

#### isr

    public void isr​(SWModel container,
                    Procedures.Procedure1<ISR> initializer)

#### task

    public void task​(SWModel container,
                     Procedures.Procedure1<Task> initializer)

#### runnable

    public void runnable​(SWModel container,
                         Procedures.Procedure1<Runnable> initializer)

#### label

    public void label​(SWModel container,
                      Procedures.Procedure1<Label> initializer)

#### channel

    public void channel​(SWModel container,
                        Procedures.Procedure1<Channel> initializer)

#### processPrototype

    public void processPrototype​(SWModel container,
                                 Procedures.Procedure1<ProcessPrototype> initializer)

#### section

    public void section​(SWModel container,
                        Procedures.Procedure1<Section> initializer)

#### activation_Single

    public void activation_Single​(SWModel container,
                                  Procedures.Procedure1<SingleActivation> initializer)

#### activation_Sporadic

    public void activation_Sporadic​(SWModel container,
                                    Procedures.Procedure1<SporadicActivation> initializer)

#### activation_Periodic

    public void activation_Periodic​(SWModel container,
                                    Procedures.Procedure1<PeriodicActivation> initializer)

#### activation_Event

    public void activation_Event​(SWModel container,
                                 Procedures.Procedure1<EventActivation> initializer)

#### activation_VariableRate

    public void activation_VariableRate​(SWModel container,
                                        Procedures.Procedure1<VariableRateActivation> initializer)

#### activation_Custom

    public void activation_Custom​(SWModel container,
                                  Procedures.Procedure1<CustomActivation> initializer)

#### mode_Enum

    public void mode_Enum​(SWModel container,
                          Procedures.Procedure1<EnumMode> initializer)

#### mode_Numeric

    public void mode_Numeric​(SWModel container,
                             Procedures.Procedure1<NumericMode> initializer)

#### modeLabel

    public void modeLabel​(SWModel container,
                          Procedures.Procedure1<ModeLabel> initializer)

#### osEvent

    public void osEvent​(SWModel container,
                        Procedures.Procedure1<OsEvent> initializer)

#### literal

    public void literal​(EnumMode container,
                        Procedures.Procedure1<ModeLiteral> initializer)

#### activityGraph

    public void activityGraph​(Task container,
                              Procedures.Procedure1<ActivityGraph> initializer)

#### activityGraph

    public void activityGraph​(Runnable container,
                              Procedures.Procedure1<ActivityGraph> initializer)

#### modeSwitch

    public void modeSwitch​(IActivityGraphItemContainer container,
                           Procedures.Procedure1<ModeSwitch> initializer)

#### defaultEntry

    public void defaultEntry​(ModeSwitch container,
                             Procedures.Procedure1<ModeSwitchDefault> initializer)

#### entry

    public void entry​(ModeSwitch container,
                      Procedures.Procedure1<ModeSwitchEntry> initializer)

#### condition_OR

    public void condition_OR​(ModeSwitchEntry container,
                             Procedures.Procedure1<ModeConditionDisjunction> initializer)

#### condition

    public void condition​(ModeConditionDisjunction container,
                          ModeLabel label,
                          RelationalOperator relation,
                          String value)

#### condition

    public void condition​(ModeConditionDisjunction container,
                          ModeLabel label1,
                          RelationalOperator relation,
                          ModeLabel label2)

#### condition_AND

    public void condition_AND​(ModeConditionDisjunction container,
                              Procedures.Procedure1<ModeConditionConjunction> initializer)

#### condition

    public void condition​(ModeConditionConjunction container,
                          ModeLabel label,
                          RelationalOperator relation,
                          String value)

#### condition

    public void condition​(ModeConditionConjunction container,
                          ModeLabel label1,
                          RelationalOperator relation,
                          ModeLabel label2)

#### probabilitySwitch

    public void probabilitySwitch​(IActivityGraphItemContainer container,
                                  Procedures.Procedure1<ProbabilitySwitch> initializer)

#### entry

    public void entry​(ProbabilitySwitch container,
                      Procedures.Procedure1<ProbabilitySwitchEntry> initializer)

#### schedulePoint

    public void schedulePoint​(IActivityGraphItemContainer container,
                              Procedures.Procedure1<SchedulePoint> initializer)

#### interProcessTrigger

    public void interProcessTrigger​(IActivityGraphItemContainer container,
                                    Procedures.Procedure1<InterProcessTrigger> initializer)

#### enforcedMigration

    public void enforcedMigration​(IActivityGraphItemContainer container,
                                  Procedures.Procedure1<EnforcedMigration> initializer)

#### terminateProcess

    public void terminateProcess​(IActivityGraphItemContainer container,
                                 Procedures.Procedure1<TerminateProcess> initializer)

#### clearEvent

    public void clearEvent​(IActivityGraphItemContainer container,
                           Procedures.Procedure1<ClearEvent> initializer)

#### waitEvent

    public void waitEvent​(IActivityGraphItemContainer container,
                          Procedures.Procedure1<WaitEvent> initializer)

#### setEvent

    public void setEvent​(IActivityGraphItemContainer container,
                         Procedures.Procedure1<SetEvent> initializer)

#### eventMask

    public void eventMask​(ClearEvent clearEvent,
                          OsEvent... osEvents)

#### eventMask

    public void eventMask​(WaitEvent waitEvent,
                          OsEvent... osEvents)

#### eventMask

    public void eventMask​(SetEvent setEvent,
                          OsEvent... osEvents)

#### parameter

    public void parameter​(Runnable container,
                          Procedures.Procedure1<RunnableParameter> initializer)

#### group

    public void group​(IActivityGraphItemContainer container,
                      Procedures.Procedure1<Group> initializer)

#### labelAccess

    public void labelAccess​(IActivityGraphItemContainer container,
                            Procedures.Procedure1<LabelAccess> initializer)

#### modeLabelAccess

    public void modeLabelAccess​(IActivityGraphItemContainer container,
                                Procedures.Procedure1<ModeLabelAccess> initializer)

#### runnableCall

    public void runnableCall​(IActivityGraphItemContainer container,
                             Procedures.Procedure1<RunnableCall> initializer)

#### asynchronousServerCall

    public void asynchronousServerCall​(IActivityGraphItemContainer container,
                                       Procedures.Procedure1<AsynchronousServerCall> initializer)

#### execNeed

    public void execNeed​(IActivityGraphItemContainer container,
                         Procedures.Procedure1<ExecutionNeed> initializer)

#### need

    public void need​(ExecutionNeed container,
                     String key,
                     IDiscreteValueDeviation need)

#### ticks

    public void ticks​(IActivityGraphItemContainer container,
                      Procedures.Procedure1<Ticks> initializer)

#### defaultDeviation

    public void defaultDeviation​(Ticks container,
                                 IDiscreteValueDeviation ticks)

#### defaultConstant

    public void defaultConstant​(Ticks container,
                                long ticks)

#### extended

    public void extended​(Ticks container,
                         ProcessingUnitDefinition puDef,
                         IDiscreteValueDeviation ticks)